import net.knarcraft.serverlauncher.profile.Profile;
import net.knarcraft.serverlauncher.server.*;
import net.knarcraft.serverlauncher.userinterface.GUI;

import javax.naming.ConfigurationException;
import java.awt.*;
//Java 9 required.

/**
 * A software for managing Minecraft servers.
 *
 * @author		Kristian Knarvik <kristian.knarvik@knett.no>
 * @version	0.0.0.1
 * @since		0.0.0.1
 */

class Main {
	public static void main(String[] args) {
		EventQueue.invokeLater(() -> {
			try {
				setup();
				new GUI();
				Profile.addProfile("Default");
			} catch (Exception e) {
				e.printStackTrace();
			}
		});
	}

	private static void setup() {
		try {
			ServerType.loadServerTypes();
		} catch (ConfigurationException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}
	// TODO: Add gui functionality
}